scowl (2017.01.22-1) experimental; urgency=low

  * New upstream release
  * Include the proper variant spelling into the proper language (Closes:
    #659841). Thanks to Drew Parsons.
  * Sort using LC_ALL=C to make builds reproducible. (Closes: #791851).
    Thanks to Reiner Herrmann.
  * Remove non-word mys (Closes: #858961). Thanks to Josh Triplett.
  * Switch to dh $@ style packaging
  * Switch to quilt packaging

 -- Don Armstrong <don@debian.org>  Sun, 09 Apr 2017 15:25:00 -0700

scowl (7.1-1) unstable; urgency=low

  * New upstream release
    - Move dieing to english-words.80 (Closes: #515896)
    - Modularises is in english-words.80 (Closes: #634824)
  * Remove uniprocessorunix, thanks to Dean Menezes (Closes: #530456)
  * afterward and afterwards are both perfectly legitimate english words;
    add them to english-words.10 (Closes: #564032)
  * Add unices, unixen to hacker list; add unixes to english-words.95,
    thanks to Dean Menezes (Closes: #530457)
  * Add analyses (plural of analysis) (Closes: #570718). Thanks to Benoit
    Sibaud.
  * Deprecate irregardless slightly (Closes: #584076)
  * Stick prepend into american words even though it is computer
    jargon (Closes: #402055)

 -- Don Armstrong <don@debian.org>  Wed, 12 Oct 2011 14:44:02 -0700

scowl (6-3) unstable; urgency=low

  * Encode in UTF-8, thanks to Marc Fournier (Closes: #470463)
  * Kill off triple letter misspellings, thanks to Justin B Rye (Closes:
    #304501).
  * Fix supr{essed,ising} issues in english-words.95, thanks to Jidanni
    (closes: #521229)
  * Sanitize the makefile to not be so repetitive
  * Add -insane package to include the .95 wordlists
  * Include hacker special wordlist in the insane dictionaries
  * Add homepage field
  * Update standards version

 -- Don Armstrong <don@debian.org>  Sun, 29 Mar 2009 23:59:43 -0700

scowl (6-2.3) unstable; urgency=low

  * Taking over this package (Closes: #487734)
  * Fix the building of -huge binaries (Closes: #346113) [Thanks to Jason
    Rhinelander <jagerman@jagerman.com> for a patch, though I actually
    implemented myself without seeing his.]
  
 -- Don Armstrong <don@debian.org>  Thu, 03 Jul 2008 18:16:08 -0700

scowl (6-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Make wamerican no longer depend on dictionaries-common, while
    using its features if present: (Closes: #487977).
    - wamerican.links: Install /usr/share/dict/words link to
      american-english.
    - wamerican.post{inst,rm}: Run dictionaries-common stuff only
      if available.
    - wamerican.config: Check that dictionaries-common is installed
      and a recent version (having elanguages support) before trying
      to use it.
    - debian/rules: Do not auto-generate maintainer scripts for
      wamerican, but use the new hardcoded ones. Split
      installdeb-wordlist stuff for wamerican and the rest of the
      wordlists, moving both to the install target.
    - debian/control: Remove dictionaries-common dependency and
      include a conflicts against dictionaries-common (<< 0.98) where
      /usr/share/dict/words link diversion is included.
  * debian/control:
    - Bumped Standards-Version to 3.7.3. No changes needed.
    - Moved debhelper dependency from Build-Depends-Indep to
      Build-Depends. debhelper is required to run the clean target
      of debian/rules (Policy Manual, section 7.6).

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 26 Jun 2008 12:24:26 +0200

scowl (6-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Bumped Standards-Version to 3.7.2. No changes needed.
  * debian/compat now is 5.
  * Apply patch from Tom Parker <debian@tevp.net>, to stop Scowl generated
    packages to erronously depend on debconf twice, and to allow for
    debconf-2.0 as an alternate, thus blocking the cedebconf transition
    (Closes: #393455).

 -- Amaya Rodrigo Sastre <amaya@debian.org>  Sat, 27 Jan 2007 18:38:03 +0100

scowl (6-2) unstable; urgency=low

  * debian/rules: remove a ${!VAR} bashism; replace with eval(...)
    Closes: #207102 scowl: debian/rules script contains bashisms

 -- David Coe <davidc@debian.org>  Fri, 14 Oct 2005 22:00:22 -0400

scowl (6-1) unstable; urgency=low

  * New upstream release.
    Closes: #333207 wamerican-large: new upstream release 6 available
  * debian/rules and debian/control: Added -huge versions of the
    american, canadian, and british word lists. Upstream word lists are
    now better organized; we take advantage of that by adding the new
    size "40" word lists to the standard lists, the size "55" word lists
    to the -large lists, and the size "80" word lists to the (new) -huge
    lists.
    Closes: #317422 dictionaries-common: sightlines/metallicity
    "Sightlines" is now in the -huge lists; "metallicity" is only in the
    upstream size "95" lists, so (by my policy) even the -huge lists
    won't include it.  If you want that, and all the other really odd
    words, please install and use the Debian "scowl" package.
  * Added "Debian" and "Debian's" to english-proper-names.50, which
    gets them into the standard, -large, and -huge lists.
    If Microsoft is there (it is), we should be too ;).
    Closes: #327749: wamerican: should include "debian" in wordlist
  * debian/control:
    - standards version 3.6.2 (no changes required)
    - removed the 'wenglish' dummy package
      Closes: #322072 wenglish: Dummy package still needed?
      Closes: #286583 wenglish: typo in package description
  * debian/copyright: updated copyright (some additions from
    latest upstream README).

 -- David Coe <davidc@debian.org>  Fri, 14 Oct 2005 01:00:03 -0400

scowl (5-4) unstable; urgency=low

  * debian/control: depend [and build-depend] on newer
    dictionaries-common[-dev] (>=0.20).
    Closes: #232166 "Please update your ... package(s) to new .config system"
  * debian/control; bump standards-version; no changes required.
  * debian/wenglish.preinst: removed -- this previously-implemented half-fix
    is now unnecessary.
    Closes: #216397 "debconf oops"
  * debian/control: add missing debconf dependencies.

 -- David Coe <davidc@debian.org>  Mon, 16 Feb 2004 02:38:32 -0500

scowl (5-3) unstable; urgency=low

  * corrected a typo/thinko in the scowl pacakge description;
    thanks to Leonardo Rochael Almeida for noticing and reporting it.
    Closes: #201564: s/wenglish/wbritish/ in package description
  * added wenglish.preinst, to remove the obsolete "wenglish"
    debconf choice, now that wamerican has replaced wenglish.
    See also dictionaries-common bug #200098, which explains
    why this solution is not perfect.
    Closes: #202570: typo in debconf prompt
  * standards version 3.6.0; converted this changelog to UTF-8.

 -- David Coe <davidc@debian.org>  Wed, 30 Jul 2003 01:48:46 -0400

scowl (5-2) unstable; urgency=low

  * Include also the appropriate variant_0 and variant_1 words,
    to provide the more common spelling alternatives.

 -- David Coe <davidc@debian.org>  Thu,  3 Jul 2003 14:48:48 -0400

scowl (5-1) unstable; urgency=low

  * New upstream package (SCOWL) replaces previous upstream sources for
    wenglish and wbritish; wenglish had been built from a (possibly)
    non-free source (linux-words), and wbritish had been built from a
    relatively incomplete source (words extracted from the ispell british
    dictionary).  SCOWL (Spell-Checker Oriented Word Lists) is a
    collection of English word lists maintained by Kevin Atkinson at
    http://wordlist.sf.net, is completely Free, is of significantly
    better quality, and is supported upstream.
    Thanks to Brian Nelson <nelson@bignachos.com> for suggesting we use
    the SCOWL wordlists.  This source package (scowl) now creates the
    following binary packages:
      wamerican, wamerican-small, wamerican-large,
      wbritish,  wbritish-small,  wbritish-large,
      wcanadian, wcanadian-small, wcanadian-large,
      scowl,
      wenglish (dummy package to install wamerican, for upgrades)
    Closes: #170490: wenglish: Package contains a non-DFSG-compliant list
    Closes: #141707: wbritish: seems to be missing some very basic words
    Closes: #165251: wbritish: Missing word ('behemoth')
    Closes: #176875: Gullible isn't in the dictionary
    Closes: #147959: wenglish: Spelling "plebian" is nonstandard
    Closes: #175906: wenglish: should be called wamerican
  * My sincere gratitude to Agustin Martin Domingo for paying attention to
    ispell and the english word lists while I was preoccupied, and for his
    NMUs during the dictionaries-common transition.
    Closes: #164257: wbritish: Please update your wbritish package to IDWP new policy
    Closes: #164260: wenglish: Please update your wenglish package to IDWP new policy
  * 'Pharoah' is only in the "huge" SCOWL dictionary, which is normally
    considered unreasonable for spell checking (too many false positives);
    I suggest you add it to your own personal list, or install the scowl
    package and create the huge list (or one customized to your needs).
    If you disagree with upstream's classification of that word, please
    reopen the bug report with some explanation, and I'll happily forward
    it upstream.  Thanks.
    Closes: #175394: wenglish: missing word 'pharaoh'

 -- David Coe <davidc@debian.org>  Mon, 16 Jun 2003 22:26:28 -0400

wenglish (2.0-2.4) unstable; urgency=low

  * Just a rebuild to make sure at least dictionaries-common-dev-0.8.4
    is used,since there was a minor change in the debconf config
    files to have debconf choices properly sorted. David, no need to
    change anything in your sources, just make sure you use at least
    that version. This fix will then propagate the next time you build
    the package. Sorry for not having asked you about this upload with
    more time.

 -- Agustin Martin Domingo <agmartin@debian.org>  Fri, 25 Oct 2002 13:37:41 +0200

wenglish (2.0-2.3) unstable; urgency=low

  * Non-Maintainer Upload
  * This time really added dictionaries-common-dev to 'Build-Depends-Indep'.
    That was missed previously in (2.0-2.2).

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 21 Oct 2002 13:12:14 +0200

wenglish (2.0-2.2) unstable; urgency=low

  * Non-Maintainer Upload
  * New policy compliant package (closes: #164260)
  * Some minor changes with respect to package in sourceforge:
    +++ control files:
    - Changing 'Pre-Depends: dictionaries-common' to a simple
      Depends.
    - Added dictionaries-common-dev to 'Build-Depends-Indep'
    +++ words-american-english.5
    - Changed '/etc/dictionary' to '/etc/dictionaries-common/words' and
      'update-alternatives' to 'select-default-wordlist'

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 21 Oct 2002 11:52:46 +0200

wenglish (2.0-2.1) unstable; urgency=low

  * Experimental release after the dictionaries policy proposal.
  * Removed postinst and prerm. So, David, DO NOT REUSE THIS PACKAGE
    FOR THE OFFICIAL BRANCH.

 -- Agustín Martín Domingo <agmartin@debian.org>  Fri, 30 Nov 2001 17:37:59 +0100

wenglish (2.0-2) unstable; urgency=low

  * added some missing words and their variations.  Closes: #108233.
  * added missing variations of some previously-added words.
  * updated standards to debian policy 3.5.6.

 -- David Coe <davidc@debian.org>  Fri, 10 Aug 2001 18:20:03 -0400

wenglish (2.0-1) unstable; urgency=medium

  * new maintainer.
  * cnanged version to agree with upstream source version.
  * included additional documentation from the upstream source.
  * Updated standards to debian policy 3.5.2.
    Closes: #80775 "man pages in wrong directory."
  * fixed prerm to run update-alternatives at the proper time.
    Closes: #87332 "dictionary alternative and wenglish's prerm"
  * closing an old bug, was apparently fixed in 1.0-12 (when /etc/dictionary
    was removed).
    Closes: #35098 "unknown-source: a dangling symlink."
  * renamed american-english.5 to words-american-english.5, to minimize
    confusion with similarly-named idict-american-english.5 man page;
    symlink american-english.5 to words-american-english.5.
  * added the word "hullabaloo" (in support of ispell/iamerican bug
    65620).

 -- David Coe <davidc@debian.org>  Sat, 24 Feb 2001 13:46:29 -0500

wenglish (1.0-12) unstable; urgency=low

  * In postinst, clean up /etc/dictionary and transfer its value into
    the alternatives system.

 -- Charles Briscoe-Smith <cpbs@debian.org>  Thu, 15 Apr 1999 01:32:53 +0100

wenglish (1.0-11) unstable; urgency=low

  * Update the package's description to match reality.

 -- Charles Briscoe-Smith <cpbs@debian.org>  Tue, 13 Oct 1998 02:32:09 +0100

wenglish (1.0-10) unstable; urgency=low

  * Update standards-version to 2.4.1 (no changes required).
  * Moved /usr/dict/english to /usr/share/dict/american-english.
  * Replaced old maintainer scripts with new ones which call
    update-alternatives.
  * Updated man page.

 -- Charles Briscoe-Smith <cpbs@debian.org>  Tue, 29 Sep 1998 12:24:34 +0100

wenglish (1.0-9) frozen unstable; urgency=low

  * Gack.  Maybe I should actually -install- the postrm script?
    (How embarrassing.)  Postrm script now installed properly.
  * Remove leftover half-email from the end of the changelog.  (How did
    that get there?)

  * Remove quibble from copyright file; simple lists of words can't
    be copyrighted.

 -- Charles Briscoe-Smith <cpbs@debian.org>  Wed,  8 Apr 1998 03:43:42 +0100

wenglish (1.0-8) frozen unstable; urgency=low

  * Rewrite maintainer scripts, and properly this time (and thus fixes
    bug 7454 slightly better than last time, but still not completely;
    that will be done in slink).  All cases handled, and it's properly
    tested.  The new scripts used here are intended to go in all the
    w<language> dictionary packages before the release of hamm so that
    they all ask questions consistently, and only when they need to.
    (If all the dictionary packages use these, bug 19600 will be fixed.)
    Major changes are:
  * Don't randomize the /etc/dictionary symlink on mass-upgrade.
  * No longer use relative symlinks between top-level directories.
  * Don't remove /etc/dictionary symlink, which records the system's
    default dictionary language, unless the corresponding dictionary is
    being purged.

 -- Charles Briscoe-Smith <cpbs@debian.org>  Sun,  5 Apr 1998 16:08:33 +0100

wenglish (1.0-7) unstable; urgency=low

  * No longer asks whether english should be the default dictionary when
    upgrading, only on an install.  (Attempts to fix bug #7454.)

  * Add `xylophone' and `migraine' to the word list (first checking
    them against the Oxford Minidictionary and the Collins Westminster
    Desk Companion.)  (Fixes:bug#9325,#10642)

  * Added extended package description.  (Fixes:bug#3655)
  * Provide wordlist virtual package.  (Fixes:bug#9393)

  * New maintainer.
  * Undebmaked; now uses my generic debian/rules.
  * Updated to standards version 2.4.0.0.

 -- Charles Briscoe-Smith <cpbs@debian.org>  Fri, 27 Feb 1998 13:42:34 +0000

wenglish (1.0-6) unstable; urgency=low

  * New source packaging format.

 -- Herbert Xu <herbert@debian.org>  Sat, 8 Feb 1997 22:16:50 +1100


